%global debug_package %{nil}
%global _efi_vendor_ %(eval echo $(sed -n -e 's/^ID=//p' /etc/os-release | sed 's/\"//g'))

Summary: A set of RPM macros for use in EFI-related packages
Name: efi-rpm-macros
Version: 5
Release: 4%{?dist}
License: GPLv3+
URL: https://github.com/rhboot/%{name}/
Source0: https://github.com/rhboot/%{name}/releases/download/%{version}/%{name}-%{version}.tar.bz2

Patch0001: 0001-Don-t-have-arm-as-an-alt-arch-of-aarch64.patch
Patch0002: 0002-remove-unsupported-arches.patch

BuildRequires: git sed make
BuildArch: noarch

%description
efi-rpm-macros provides a set of RPM macros for use in EFI-related packages.

%package -n efi-srpm-macros
Summary: Common SRPM Macros for building EFI-related packages
BuildArch: noarch
Requires: rpm

%description -n efi-srpm-macros
efi-srpm-macros provides a set of SRPM macros for use in EFI-related packages.

%package -n efi-filesystem
Summary: The basic directory layout for EFI machines
BuildArch: noarch
Requires: filesystem

%description -n efi-filesystem
The efi-filesystem package contains the basic directory layout for EFI
machine bootloaders and tools.

%prep
%autosetup -S git_am -n %{name}-%{version}
git config --local --add efi.vendor "%{_efi_vendor_}"
git config --local --add efi.esp-root /boot/efi
git config --local --add efi.arches "x86_64 aarch64"

%build
%make_build clean all

%install
%make_install

%files -n efi-srpm-macros
%license LICENSE
%doc README
%{_rpmmacrodir}/macros.efi-srpm
%{_rpmconfigdir}/brp-boot-efi-times

%files -n efi-filesystem
%defattr(0700,root,root,-)
%dir /boot/efi
%dir /boot/efi/EFI
%dir /boot/efi/EFI/BOOT
%dir /boot/efi/EFI/%{_efi_vendor_}

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Jun 28 2022 Yi Lin <nilusyi@tencent.com> - 5-1
- package init.
